#include "cMenuUp.hpp"

/*** SDL Header Files ***/
#include "SDL.h"

/*** Custom Header Files ***/
#include "../cMainMenu.hpp"

using Input::cMenuUp;

cMenuUp::cMenuUp( SDL_Keycode key, MainMenu::cMainMenu** menu )
: cKey(key), mpp_menu(menu)
{}

/*cMenuUp::cMenuUp( const cMenuUp& copy )
{}*/

cMenuUp::~cMenuUp()
{}

///Funtions
void cMenuUp::KeyPress()
{
}

void cMenuUp::KeyUP()
{
}

void cMenuUp::KeyDown()
{
	if (mpp_menu != nullptr && *mpp_menu != nullptr)
		(*mpp_menu)->OptionUp();
}